import { Cache, CacheKeyGenerator } from '@dandi/cache';
import { AuthorizationService, AuthorizedUser } from '@dandi/mvc';
import { FirebaseServiceAccount } from './firebase.service.account';
export declare class FirebaseAuthorizationService implements AuthorizationService {
    private cache;
    private cacheKey;
    private readonly app;
    private readonly auth;
    constructor(serviceAccount: FirebaseServiceAccount, cache: Cache, cacheKey: CacheKeyGenerator);
    getAuthorizedUser(authorization: string): Promise<AuthorizedUser>;
}
